!include "FileFunc.nsh"

;Icon logosec.ico
;UninstallIcon logosec.ico
Name "CarGas SolarisN 2.20 (15.05.2009)"
OutFile "gotowa instalka\CarGas SolarisN 2.20 (23.04.2009).exe"
InstallDir "$PROGRAMFILES\CarGas\SolarisN"
InstallDirRegKey HKLM "Software\CarGas\SolarisN" "Install_Dir"

LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Polish.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\English.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\German.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Slovak.nlf"

;--------------------------
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------

Function .onInit
	;Language selection dialog
	Push ""
	Push ${LANG_ENGLISH}
	Push English
	Push ${LANG_POLISH}
	Push Polish
	Push ${LANG_GERMAN}
	Push German
	Push ${LANG_SLOVAK}
	Push Slovak
	Push A ; A means auto count languages
	       ; for the auto count to work the first empty push (Push "") must remain
	LangDLL::LangDialog "Installer Language" "Please select the language of the installer"

	Pop $LANGUAGE
	StrCmp $LANGUAGE "cancel" 0 +2
		Abort
FunctionEnd

Section ""
    ;usuwam stare pliki szikersa, bo w kiepskich lokalizacjach
    RMDir /r "$PROGRAMFILES\SolarisN"
    RMDir /r "$SMPROGRAMS\SolarisN"
    Delete "$DESKTOP\SolarisN.lnk"
    DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\SolarisN"
    DeleteRegKey HKLM "SOFTWARE\SolarisN"

    CreateDirectory "$PROGRAMFILES\CarGas"
    CreateDirectory "$PROGRAMFILES\CarGas\SolarisN"

	SetOutPath $INSTDIR
	CreateDirectory "$INSTDIR\lang"
    CreateDirectory "$INSTDIR\parametry"
    CreateDirectory "$INSTDIR\schematy"

	File "instalka\Solaris.exe"
	File "instalka\jezyk.txt"
	SetOutPath "$INSTDIR\lang"
	File "instalka\lang\polski.txt"	
	File "instalka\lang\angielski.txt"	
	File "instalka\lang\niemiecki2.txt"
	File "instalka\lang\slowacki.txt"
	SetOutPath "$INSTDIR\schematy"
	File "instalka\schematy\schemat_de.pdf"
	File "instalka\schematy\schemat_pl.pdf"	
	File "instalka\schematy\schemat_en.pdf"	

	SetOutPath $INSTDIR
	
SectionEnd

Section "Section number two"
    FileOpen $0 "$INSTDIR\jezyk.txt" w

    StrCmp $LANGUAGE ${LANG_POLISH} 0 +2
        FileWriteByte $0 "1"
	StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +2
		FileWriteByte $0 "2"
	StrCmp $LANGUAGE ${LANG_GERMAN} 0 +2
        FileWriteByte $0 "4"
	StrCmp $LANGUAGE ${LANG_SLOVAK} 0 +2
        FileWriteByte $0 "9"
	FileClose $0
SectionEnd


Section "Start Menu Shortcuts"
    CreateDirectory "$SMPROGRAMS\CarGas"
    CreateDirectory "$SMPROGRAMS\CarGas\SolarisN"

    CreateShortCut  "$SMPROGRAMS\CarGas\SolarisN\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
    CreateShortCut  "$SMPROGRAMS\CarGas\SolarisN\Solaris.lnk"   "$INSTDIR\Solaris.exe"   "" "$INSTDIR\Solaris.exe"   0
    CreateShortCut  "$DESKTOP\SolarisN.lnk"                     "$INSTDIR\Solaris.exe"   "" "$INSTDIR\Solaris.exe"   0
SectionEnd

; The stuff to install

Section "Example2 (required)"

    SectionIn RO

    SetOutPath $INSTDIR

    File "SolarisN.nsi"

    ; Write the installation path into the registry
    WriteRegStr HKLM "Software\CarGas\SolarisN" "Install_Dir" "$INSTDIR"

    ; Write the uninstall keys for Windows
    WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\CarGas\SolarisN"   "DisplayName"     "SolarisN"
    WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\CarGas\SolarisN"   "UninstallString" '"$INSTDIR\uninstall.exe"'
    WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\CarGas\SolarisN" "NoModify"        1
    WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\CarGas\SolarisN" "NoRepair"        1

    WriteUninstaller "uninstall.exe"
SectionEnd

Section "Uninstall"
    ; Remove registry keys
    DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\CarGas\SolarisN"
    DeleteRegKey HKLM "SOFTWARE\CarGas\SolarisN"

    ; Remove shortcuts, if any
    Delete "$DESKTOP\SolarisN.lnk"

    ; Remove directories used
    RMDir /r "$SMPROGRAMS\CarGas\SolarisN"
    RMDir /r "$INSTDIR"
SectionEnd

